> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monieswitch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Single Recurrent Payment



## OpenAPI

````yaml openapi.json get /payout/single/recurrent
openapi: 3.0.0
info:
  title: Monieswitch API Reference
  version: 1.0.0
  description: ''
servers: []
security:
  - bearerAuth: []
paths:
  /payout/single/recurrent:
    parameters: []
    get:
      tags:
        - Payout
        - Single Recurrent Payout
      summary: List Single Recurrent Payment
      parameters:
        - name: page
          in: query
          required: false
          example: '1'
          schema:
            type: integer
        - name: perPage
          in: query
          required: false
          example: '20'
          schema:
            type: integer
        - name: status
          in: query
          required: false
          schema:
            type: string
        - name: startDate
          in: query
          required: false
          example: '2024-07-10'
          schema:
            type: integer
        - name: endDate
          in: query
          required: false
          example: '2024-07-10'
          schema:
            type: integer
      responses:
        '200':
          headers:
            Content-Security-Policy:
              schema:
                type: string
              example: >-
                default-src 'self';base-uri 'self';font-src 'self' https:
                data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                data:;object-src 'none';script-src 'self';script-src-attr
                'none';style-src 'self' https:
                'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
              example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
              example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
              example: '?1'
            Referrer-Policy:
              schema:
                type: string
              example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
              example: max-age=15552000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
              example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
              example: 'off'
            X-Download-Options:
              schema:
                type: string
              example: noopen
            X-Frame-Options:
              schema:
                type: string
              example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
              example: none
            X-XSS-Protection:
              schema:
                type: integer
              example: '0'
            Access-Control-Allow-Origin:
              schema:
                type: string
              example: '*'
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
              example: 'true'
            Content-Type:
              schema:
                type: string
              example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
              example: '502'
            ETag:
              schema:
                type: string
              example: W/"1f6-7qZ6bkVpfnj4XH6juTcwpL3L1NU"
            Vary:
              schema:
                type: string
              example: Accept-Encoding
            Date:
              schema:
                type: string
              example: Thu, 30 Nov 2023 23:57:30 GMT
            Connection:
              schema:
                type: string
              example: keep-alive
            Keep-Alive:
              schema:
                type: string
              example: timeout=5
          description: List Single Recurrent Payment
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                  data:
                    type: object
                    properties:
                      records:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            email:
                              type: string
                              format: email
                            amount:
                              type: integer
                            status:
                              type: string
                            charges:
                              type: integer
                            interval:
                              type: string
                            endDate:
                              type: string
                              format: date-time
                            bankName:
                              type: string
                            bankCode:
                              type: string
                              format: color
                            metadata:
                              nullable: true
                            narration:
                              type: string
                            startDate:
                              type: string
                              format: date-time
                            accountName:
                              type: string
                            accountNumber:
                              type: string
                              format: utc-millisec
                            createdAt:
                              type: string
                              format: date-time
                      page:
                        type: integer
                      perpage:
                        type: integer
                      totalRecords:
                        type: integer
                      totalPages:
                        type: integer
              example:
                status: true
                data:
                  records:
                    - id: d56d5dc6-db34-4b68-8af7-1ac95b00f3a1
                      email: emma@yahoo.com
                      amount: 300
                      status: CANCELLED
                      charges: 10
                      interval: Daily
                      endDate: '2023-12-06T09:40:00.000Z'
                      bankName: PROVIDUS BANK
                      bankCode: '000023'
                      metadata: null
                      narration: Testing transaction
                      startDate: '2023-12-02T09:30:00.000Z'
                      accountName: Obagunwa Emmanuel
                      accountNumber: '2394934324'
                      createdAt: '2023-11-30T22:51:36.001Z'
                  page: 1
                  perpage: 50
                  totalRecords: 1
                  totalPages: 1
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````